Skip to main content
POST
Create a strategy chain atomically

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Body

application/json
idempotency_key
string<uuid>
required
goal_title
string
required
kpi_name
string
required
product_id
string<uuid> | null
goal_description
string | null
goal_target_date
string<date> | null
unit
enum<string>
default:count
Available options:
count,
percentage,
currency,
duration,
ratio,
custom
target_direction
enum<string>
default:increase
Available options:
increase,
decrease,
maintain
current_value
number | null
target_value
number | null
initiative_title
string | null
expected_impact
string | null

Response

Created or replayed chain

setup
object